commit:     ad28ac7f3e0fd451e68e5b572df745098a38c549
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 21 05:06:20 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun 21 05:06:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad28ac7f

dev-ruby/webrobots: update EAPI 7 -> 8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/webrobots/webrobots-0.1.2-r3.ebuild | 33 ++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ruby/webrobots/webrobots-0.1.2-r3.ebuild 
b/dev-ruby/webrobots/webrobots-0.1.2-r3.ebuild
new file mode 100644
index 000000000000..8868c403f5b3
--- /dev/null
+++ b/dev-ruby/webrobots/webrobots-0.1.2-r3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library to help write robots.txt compliant web robots"
+HOMEPAGE="https://github.com/knu/webrobots";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.4.4"
+
+ruby_add_bdepend "test? ( dev-ruby/shoulda dev-ruby/test-unit:2 
dev-ruby/webmock dev-ruby/vcr )"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/,/end/d' Rakefile test/helper.rb || die
+
+       # Avoid tests for live websites requirering a network connection.
+       sed -i -e '/robots.txt in the real world/,/^  end/ s:^:#:' 
test/test_webrobots.rb || die
+}
+
+each_ruby_test() {
+       ruby-ng_testrb-2 -Ilib test/test_*.rb
+}

Reply via email to